Subject: Re: [mpls-tp] Clarifications regarding G-ACH and GAL

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 23 Jan 2009 17:09:30 -0000

Can we carry out all discussions there?

Thanks,
Adrian
----- Original Message ----- 
From: "Jishnu A" <[email-masked]>
To: <[email-masked]>
Cc: "'ccamp'" <[email-masked]>
Sent: Wednesday, January 21, 2009 1:27 PM
Subject: Clarifications regarding G-ACH and GAL

> Dear Martin,
>
> This mail is in reference to the
> http://tools.ietf.org/html/draft-ietf-mpls-tp-gach-gal-01 draft. I have 
> the
> following queries:
>
>
>
> -        Suppose I am using GAL for sending the control/management
> information and using say Label 30 all along the LSP to send my data plane
> information from A <-> Z. Assuming a MIP in between say node B, with the
> MPLS label swap table indicating that
> <ingresslabel=30,egressport=p1,egresslabel=30> and the G-ACH channel is
> denoted in B as <ingresslabel=GAL,egressport=p1,egresslabel=GAL>. Now due 
> to
> some configuration error an operator modified the label swap table at B as
> <ingresslabel=30,egressport=p1,egresslabel=20> and did not make any error
> with G-ACH channel (<ingresslabel=GAL,egressport=p1,egresslabel=GAL>)
> remained same. So now the control and management plane are working 
> properly
> but actual data plane is down. How does this draft address this?
>
> -        Suppose there are 6 nodes in an LSP A<->B<->C<->D<->E<->Z. 
> Suppose
> there are two MD one between C and D (MD#1) and another between B and E
> (MD#2). Does the MEP at B generate a G-ACH with GAL which reaches node C
> which is a MIP and it then forwards it but then C is also a MEP in MD#2
> which again generates a G-ACH with GAL value. How does D differentiate
> between the MD#1 and MD#2 G-ACH messages?
>
> -        How do you ensure G-ACH channels are bidirectional and hops along
> the same path?
>
> -        When control plane is down, why should the management plane also
> get affected (as per present draft control and management are piggybacked
> within one GAL)?
>
>
>
>
>
> Regards,
>
> Jishnu A
>
>
>
> 

_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Martin Vigoureux <[email-masked]>
Date: Tue, 27 Jan 2009 12:15:29 +0100

Dear Jishnu,

please see inline

Jishnu A a écrit :
>         Suppose I am using GAL for sending the control/management 
> information and using say Label 30 all along the LSP to send my data 
> plane information from A <-> Z. Assuming a MIP in between say node B, 
> with the MPLS label swap table indicating that 
> denoted in B as <ingresslabel=GAL,egressport=p1,egresslabel=GAL>. Now 
> due to some configuration error an operator modified the label swap 
> table at B as <ingresslabel=30,egressport=p1,egresslabel=20> and did not 
> make any error with G-ACH channel 
> (<ingresslabel=GAL,egressport=p1,egresslabel=GAL>) remained same. So now 
> the control and management plane are working properly but actual data 
> plane is down. How does this draft address this?
Few remarks before I answer your question:
First, you seem to suggest that there is a swap operation defined in B
for the GAL.
If an LSP is established from A to Z and an associated channel defined
for that LSP then there are no swapping operation defined in
the LSRs (for that LSP) concerning the GAL.
If an LSR, using TTL of the LSP, receives the GAL, it will process the
maintenance message behind the G-ACH, but will not swap/forward the GAL.
Second, I do not understand your statement that control plane works
properly but not the data plane.
Except for the potential MIPs situated upstream to the mis-connection,
(which can still be reached correctly using TTL) nothing is working
correctly. The G-ACH is in-band to the LSP so if the LSP is
mis-connected then so will be the G-ACH. And then intervenes CV, to
determine mis-connections.

> 
>         Suppose there are 6 nodes in an LSP A<->B<->C<->D<->E<->Z. 
> Suppose there are two MD one between C and D (MD#1) and another between 
> B and E (MD#2). Does the MEP at B generate a G-ACH with GAL which 
> reaches node C which is a MIP and it then forwards it but then C is also 
> a MEP in MD#2 which again generates a G-ACH with GAL value. How does D 
> differentiate between the MD#1 and MD#2 G-ACH messages?

D is a MIP for B-E but a MEP for C-D.
If you want to achieve segment monitoring you need to rely on label
stacking. The top label will provide you with the context in which
you are doing OAM.

> 
>         How do you ensure G-ACH channels are bidirectional and hops 
> along the same path?
G-ACH being in-band, this is ensured if bidirectionality (and
congruency) are realized for the LSP

> 
>         When control plane is down, why should the management plane 
> also get affected (as per present draft control and management are 
> piggybacked within one GAL)?
First, there is no obligation to run the MCN and SCN over the same
LSP than carry user-traffic, one could envisage to set-up dedicated
LSPs only carrying GAL/G-ACH/DCN
Second, there is no obligation to run MCN and SCN in-band.
But if you do so, DCN effectively shares the fate of the LSP which
is used to realize it, but that is an inherent property of "in-band"

regards,
-m

ps: I suggest additional reading:
http://www.ietf.org/internet-drafts/html/draft-bryant-mpls-tp-jwt-report-00.txt
http://www.ietf.org/internet-drafts/html/draft-busi-mpls-tp-oam-framework-00.txt
http://www.ietf.org/internet-drafts/draft-ietf-mpls-tp-requirements-03.txt
http://www.ietf.org/internet-drafts/draft-ietf-mpls-tp-framework-00.txt